
/*
 * Copyright (c) Developers of JPolynomial
 * Redistributable and modifiable. Please see license.readme for details.
 *
 * ammendment history
 * <date>				<changed by>		<summary of changes>
 * 27 August 2004		Jonee Ryan Ty		First documented history
 * 04 December 2004 	Jonee Ryan Ty		replaced SizeConstants in another file
 */

import java.awt.Color;


public final class Constants {

	public static final Color BACK_COL = Color.white;

	public static final String
		PROJECT_TITLE = "Polynomial root detector with Horner's method",
		OK_LABEL = " ok ",
		CANCEL_LABEL = " cancel ",
		NUMBER_FORMAT_EX = "Number format exception.",
		INTERVAL_EX = "Error in interval definition.",
		INTERVAL_EX2 =
			"Error in interval definition, degree is less than one or base is less than 2.",
		NOT_FINISHED = "I am too lazy to finish this part. Please help.",
		IVT_EX = "The IVT cannot be applied to the interval.",
		TOLERANCE_EX = "Tolerance should be a positive number less than one.",
		TOLERANCE_EX2 =
			"Tolerance should be a positive number less than one or x1 is equal to x2.",
		COPYRIGHT = "(c) GPL by the developers of JPolynomial",
		ZERO_DERIV = "Method fails- zero derivative.",
		DIV_BY_ZERO = "Division by zero exception.",
		FIX_ME = "Fix me please =)",
		N_ERROR = "Iteration should be greater than 1";

	public static final int
		VSPACING = 12,
		ANIM = 35,
		TAB_SIZE = 22,
		ERROR_FACTOR = 8;	// 8 is a decent factor for error

}

